Subject: [lisp] A Book CFP which seems on topic (Scalability in Internet Growth)

From: Terry Manderson <[email-masked]>
Date: Wed, 11 Apr 2012 22:48:26 -0700

Hi All,

Joel and I (as chairs) received a request to forward this to the LISP WG.
Given the narrow focus of the book described below. We both thought the
request for chapter proposals would be of interest to a number of the LISP
WG members, so on this one occasion I am forwarding this to the WG as
something that is on topic. Please direct any follow-up queries to the
requestor Mohammed Boucadair <[email-masked]>, and not to the
WG mailing list.

Cheers
Terry

> ================
>
>                           CALL FOR CHAPTER PROPOSALS
>            Solutions for Sustaining Scalability in Internet Growth
>                   A book edited by M. Boucadair and D. Binet
>         Contact: [email-masked]; [email-masked]
>                             France Telecom, France
>              To be published by IGI Global: http://bit.ly/zYWq8y
>
> INTRODUCTION
>
>     Simplicity, flexibility, and extensibility were the main
>     characteristics of the Internet architecture but unfortunately these
>     design principles are not the actual characteristics of the deployed
>     Internet.  More precisely, the Internet is suffering from a wide
>     range of complications which may impact its evolution.  Some of the
>     following issues alter the growth of Internet while other issues
>     induce more complexity to introduce innovative services at large
>     scale.  Examples illustrating encountered complications include:
>     o  IPv4 address shortage
>     o  Emergence of middleboxes such as CGNs (Carrier Grade NATs),
>        firewalls, CDNs and DPI (Deep Packet Inspection)
>     o  Inability to extend or upgrade protocols which are part of
>        Internet foundations such as IP and TCP
>     o  Inability to introduce new transport protocols at large
>     o  Restriction of reachability to some protocols: only TCP/UDP, and
>        in some cases only HTTP, are accepted.
>     o  Brokenness of bi-directional communications because reachability
>        is not symmetric due to the presence of NAT and tunnels (e.g., If
>        "A" can reach "B", this does not mean "B" can reach "A").  The
>        reachability asymmetry is now part of the "new" characteristics of
>        Internet just like path asymmetry.  Applications should be
>        designed to live this new constraint-
>     o  Brokenness of applications which make wrong assumptions based on
>        the IP address (e.g., Locality, Geoproximity, etc.)
>     o  Increase of routing and forwarding tables - Instability of core
>        routing tables induced by few edge networks
>     o  Lack of deterministic tools to achieve (inter-domain) inbound
>        traffic engineering: Current practices rely on injecting more
>        specific routes, which exacerbates the growth of inter-domain
>        routing table, or by prepending AS number technique for multi-
>        homed networks, which is not deterministic since it depends on
>        remote ASes in the path and their enforced policies.
>     o  Lack of efficient means to support prefix portability for multi-
>        homed or re-homed networks
>     o  Prefix hijacking
>     o  Rapid shuffling of prefixes
>     o  Unbalanced cost and benefit - Development of VPN services in
>        business and mobile environments
>
>     It is commonly agreed the continuous increase of routing and
>     forwarding tables is a sensitive issue which may question the growth
>     of the overall Internet.  Some technical practices, such as multi-
>     homing using Provider Independent (PI) prefixes and shrinking
>     advertised prefixes to support advanced inbound traffic engineering
>     policies, exacerbate the increase of inter-domain routing tables.
>     Designing a scalable, robust, predictable, and stable routing system
>     to sustain the growth of the Internet should be seriously tackled by
>     Internet actors (including IETF, regulatory bodies and IP
>     Connectivity Providers).  Particularly, IP Connectivity Providers
>     should undertake concrete actions to anticipate the potential failure
>     of the deployed Internet routing architecture.  Because the Internet
>     is de-centralized, introducing new tools won't be shipped overnight.
>     To be successful, this requires the involvement and coordination of
>     several actors.  Consequently, deploying these complementary tools
>     may take a long time before being adopted at large, but it should not
>     be considered as a pretext to delay introducing the proposed new
>     schemes, and to cease investigating efficient solutions.  If no
>     particular action is conducted to mitigate issues encountered by the
>     Internet routing architecture, serious risks for an emerging,
>     fragmented Internet with non-global reachability will be faced.
>     Routers have to process more and more information and the growth of
>     routing and forwarding tables to be managed may not be satisfied by
>     router technology evolution.  Furthermore, such routing capabilities
>     requirements dramatically impact routers' power consumption.
>
>     Solving all the aforementioned complications can not be easily
>     achieved because of the Internet's anarchical nature (there is no
>     central entity controlling and managing the Internet).  Nevertheless,
>     some of these problems can be mitigated owing to an architectural re-
>     design, the deployment of new protocols, and the enforcement of
>     appropriate operational guidelines.
>
> OBJECTIVE OF THE BOOK
>
>     This book aims to offer a comprehensive overview on the recent
>     advances in exploring viable solutions for expanding the scalability
>     limits of the Internet and to mitigate encountered issues.  Towards
>     this end, the book solicits new ideas on relevant techniques in
>     management, control, and data planes for deploying a scalable and
>     robust Future Internet.
>
> RECOMMENDED TOPICS INCLUDE, BUT ARE NOT LIMITED TO, THE FOLLOWING:
>
>     o  Issues with current Internet architecture
>     o  Hurdles and barriers for introducing innovative services over the
>        Internet
>     o  Issues induced by massive deployment of middleboxes and Carrier
>        Grade NAT
>     o  Impact of IPv6 introduction strategies on routing architecture
>        design
>     o  New routing and forwarding architecture proposals
>     o  Solutions review and analysis (e.g., LISP, IRON, hIPv4, Ivip,
>        ILNP)
>     o  Optimization studies for Core Edge Separation solutions
>     o  Solutions for Core Edge Separation Mapping System
>     o  Multi-homing
>     o  Dynamic and flexible renumbering
>     o  Inter-domain inbound traffic engineering techniques
>     o  Prefix portability
>     o  Mobility and impact on routing table (e.g., how LISP and/or Ivip
>        can be used for mobility)
>     o  Architecture proposals for the design of nodes involved in core
>        networks owing to the use of OPS (Optical Packet Switching), OBS
>        (Optical Burst Switching), etc.
>     o  Solution proposals to reduce power consumption in edge and core
>        networks
>     o  Solutions to offload routing engine from routers to dedicated
>        nodes
>     o  Proposals for compact routing
>     o  Review of Inter-domain route aggregation alternatives to the
>        prefix-based schemes
>     o  Interconnection agreements and interfaces
>     o  Fixed Mobile Convergence and routing issues
>     o  Impacts of CDNs deployment on routing schemes
>     o  Deployment and emergence of promising services (e.g., M2M, Mobile
>        Data) and new architectures (e.g., Cloud and virtualization)
>     o  Internet Business Models
>
> SUBMISSION PROCEDURE
>
>     You are invited to submit to the editors a 2-pages extended abstract
>     on your proposed chapter.  Full manuscripts will be invited upon the
>     acceptance decision based on the initial proposals.  Second round of
>     review will be performed based on the full manuscripts before their
>     final versions are produced for publishing.  All submitted chapters
>     will be reviewed on a double-blind review basis.  Contributors may
>     also be requested to serve as reviewers for this project.  The
>     initial extended abstract should contain the following information:
>
>     - Title
>     - Full list of authors with affiliations and contact information
>     - Basic description on the problem(s) to be tackled
>     - Main contributions from the work
>
>     The first author of each accepted book chapter will get one free copy
>     of the published book.
>
> IMPORTANT DATES
>
>     April 30, 2012:     Submission of initial extended abstract
>     May 31, 2012:       Notification of acceptance
>     August 31, 2012:    Submission of full manuscript
>     September 30, 2012: Review results to authors
>     October 30, 2012:   Revised chapter submission
>     November 15, 2012:  Final acceptance notifications
>
>